import { IMAGE_ASSET_PROJECTION, useSanityQuery } from "#imports";
export const resolveImageAssetById = async (id, lqip) => {
  const projection = lqip ? IMAGE_ASSET_PROJECTION : IMAGE_ASSET_PROJECTION.replace("lqip, ", "");
  return (await useSanityQuery(
    `*[_type == "sanity.imageAsset" && _id == $assetId][0] ${projection}`,
    { assetId: id }
  )).data;
};
