import { useSanityQuery } from "#imports";
export const resolveInternalLink = async (reference) => {
  return (await useSanityQuery(
    `*[_id == $documentId][0] { '_type': 'linkInternal', 'slug': '/' + coalesce(slug.current, ''), linkTitle, relationship }`,
    { documentId: reference._ref }
  )).data;
};
